package cn.gov.customs.wxjy.ibmmq.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import cn.gov.customs.wxjy.ibmmq.pojo.PushLog;
import cn.gov.customs.wxjy.ibmmq.pojo.PushLogQuery;

/**
 * 推送记录Mapper接口
 *
 * @author xiong
 * @date 2025-12-22
 */
@Mapper
public interface PushLogMapper {
    /**
     * 查询推送记录
     *
     * @param logId 推送记录主键
     * @return 推送记录
     */
    public PushLog selectByLogId(String logId);

    /**
     * 查询推送记录列表
     *
     * @param pushLog 推送记录
     * @return 推送记录集合
     */
    public List<PushLog> selectList(PushLogQuery pushLog);

    /**
     * 新增推送记录
     *
     * @param pushLog 推送记录
     * @return 结果
     */
    public int insert(PushLog pushLog);

    /**
     * 修改推送记录
     *
     * @param pushLog 推送记录
     * @return 结果
     */
    public int update(PushLog pushLog);

    /**
     * 删除推送记录
     *
     * @param logId 推送记录主键
     * @return 结果
     */
    public int deleteByLogId(String logId);

    /**
     * 批量删除推送记录
     *
     * @param logIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByLogIds(String[] logIds);

    /**
     * 逻辑删除推送记录
     *
     * @param logId 推送记录主键
     * @return 结果
     */
    public int logicDelete(String logId);
}
